<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Tablab - Assessment Reports</title>
    <link rel="stylesheet" href="/css/tabularReports.css" />
    <% include ../partials/head %>

    <style>
      table,
      th {
        font-size: 16px;
        font-size: 1.2vw;
        text-align: center;
        vertical-align: top !important;
      }

      .filter {
        margin-top: 10px;
      }
    </style>
  </head>

  <body>
    <% include ../partials/reportsHeader %>
    <div class="overlay" style="display:none;"><div class="loader" id="loader"></div></div>

    <!-- Hidden User information for internal use -->
    <div align="center" style="display:none">
      <h3 id="did"><%= did%></h3>
      <h3 id="uid"><%= uid%></h3>
      <br />
    </div>

    <div class="container">
      <h4 align="center" style="padding-below:3%"><i class="fa fa-child" area-hidden="true"></i> Assessment Usage</h4>
    </div>

    <div id="pillsNavbar" class="" style="margin:1%">
      <div id="pills-div" class="tab-content clearfix" style="disp">
        <div class="tab-pane active">
          <div style="margin-bottom:0px; margin-top:0px;">
            <%include ../partials/tableFilter%>
            <div class="row" style="margin-bottom:0px; margin-top:10px;">
              <div class="col-lg-12 col-md-12 col-xs-12">
                <div class="table-responsive">
                  <h3><i class="fa fa-table" area-hidden="true"></i> Usage Table (Usage in hrs)</h3>
                  <hr />
                  <div id="loader1" style="display:block;"><div class="loader">Loading...</div></div>
                  <table class="table table-striped">
                    <thead id="tableHead">
                      <tr>
                        <th><i class="fa fa-user-circle-o" aria-hidden="true"></i>&nbsp Serial No.</th>
                        <th>
                          <i class="fa fa-user-circle-o" aria-hidden="true"></i>&nbsp Student Name
                          <div class="form-group filter"><input type="text" id="nameFilter" class="form-control" /></div>
                        </th>
                        <th>
                          <i class="fa fa-user-circle-o" aria-hidden="true"></i>&nbsp Student Class
                          <div class="form-group filter">
                            <select id="classFilter" class="form-control">
                              <option></option>
                              <option>1-A</option>
                              <option>3-A</option>
                              <option>4-A</option>
                              <option>6-A</option>
                              <option>6-B</option>
                              <option>9-A</option>
                              <option>9-B</option>
                              <option>10-C</option>
                            </select>
                          </div>
                        </th>
                        <th><i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Date Of Access</th>
                        <th><i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp Time Of Access</th>

                        <th>
                          <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Subject
                          <div class="form-group filter">
                            <select id="subjectFilter" class="form-control">
                              <option></option>
                              <option>Science</option>
                              <option>Math</option>
                              <option>English</option>
                            </select>
                          </div>
                        </th>
                        <th><i class="fa-file-video-o" aria-hidden="true"></i>&nbsp Test Name / Topic Name</th>

                        <th>
                          <i class="fa fa-book" aria-hidden="true"></i>&nbsp Type
                          <div class="form-group filter">
                            <select id="assessmentTypeFilter" class="form-control">
                              <option></option>
                              <option>Term</option>
                              <option>LockedTerm</option>
                              <option>UnlockedTerm</option>
                              <option>Practice</option>
                            </select>
                          </div>
                        </th>

                        <th><i class="fa fa-file-video-o" aria-hidden="true"></i>&nbsp Duration of test</th>

                        <th><i class="fa fa-file-video-o" aria-hidden="true"></i>&nbsp Duration of use</th>
                        <th><i class="fa fa-file-video-o" aria-hidden="true"></i>&nbsp Score</th>
                        <th>
                          <i class="fa fa-file-video-o" aria-hidden="true"></i>&nbsp Completion Status
                          <div class="form-group filter">
                            <select id="completionStatusFilter" class="form-control">
                              <option></option>
                              <option id="0">Incomplete</option>
                              <option id="1">Complete</option>
                            </select>
                          </div>
                        </th>
                      </tr>
                    </thead>
                    <tbody id="assessmentsUsageTableBody"></tbody>
                  </table>
                  <h5 id="assessmentTableBottomInfo" style="padding:5px; border-radius:10px; background-color:#e0e0d1; color:#000;" align="center"></h5>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>

  <script src="/js/functions.js"></script>
  <script src="/js/assessmentsAnalytics.js"></script>
</html>
